Strophe: scram.c File Reference

Strophe 0.9 XMPP client library

Macros | Functions | Variables
scram.c File Reference

SCRAM-SHA1 helper functions. More...

## Macros
#define | HMAC_BLOCK_SIZE 64

## Functions
static void | crypto_HMAC_SHA1 (const uint8_t *key, size_t key_len, const uint8_t *text, size_t len, uint8_t *digest)
static void | SCRAM_SHA1_Hi (const uint8_t *text, size_t len, const uint8_t *salt, size_t salt_len, uint32_t i, uint8_t *digest)
void | SCRAM_SHA1_ClientKey (const uint8_t *password, size_t len, const uint8_t *salt, size_t salt_len, uint32_t i, uint8_t *key)
void | SCRAM_SHA1_ClientSignature (const uint8_t *ClientKey, const uint8_t *AuthMessage, size_t len, uint8_t *sign)
void | SCRAM_SHA1_ClientProof (const uint8_t *ClientKey, const uint8_t *ClientSignature, uint8_t *proof)

## Variables
static const uint8_t | ipad = 0x36
static const uint8_t | opad = 0x5C

## Detailed Description

SCRAM-SHA1 helper functions.

## Macro Definition Documentation

## ◆ HMAC_BLOCK_SIZE

#define HMAC_BLOCK_SIZE 64

## Function Documentation

## ◆ crypto_HMAC_SHA1()

static void crypto_HMAC_SHA1 | ( | const uint8_t * | key,
|  | size_t | key_len,
|  | const uint8_t * | text,
|  | size_t | len,
|  | uint8_t * | digest
| ) |  |
| static

## ◆ SCRAM_SHA1_Hi()

static void SCRAM_SHA1_Hi | ( | const uint8_t * | text,
|  | size_t | len,
|  | const uint8_t * | salt,
|  | size_t | salt_len,
|  | uint32_t | i,
|  | uint8_t * | digest
| ) |  |
| static

## ◆ SCRAM_SHA1_ClientKey()

void SCRAM_SHA1_ClientKey | ( | const uint8_t * | password,
|  | size_t | len,
|  | const uint8_t * | salt,
|  | size_t | salt_len,
|  | uint32_t | i,
|  | uint8_t * | key
| ) |  |

## ◆ SCRAM_SHA1_ClientSignature()

void SCRAM_SHA1_ClientSignature | ( | const uint8_t * | ClientKey,
|  | const uint8_t * | AuthMessage,
|  | size_t | len,
|  | uint8_t * | sign
| ) |  |

## ◆ SCRAM_SHA1_ClientProof()

void SCRAM_SHA1_ClientProof | ( | const uint8_t * | ClientKey,
|  | const uint8_t * | ClientSignature,
|  | uint8_t * | proof
| ) |  |

## Variable Documentation

## ◆ ipad

const uint8_t ipad = 0x36
| static

## ◆ opad

const uint8_t opad = 0x5C
| static